d3.csv('https://gist.githubusercontent.com/Sai-Bhavana-Akkineni/f47846a65259fb10d2db30bff20119df/raw/a6e460a6709f062cc221945368214fe52232eeff/Bonus_ICE1.1', function(err, rows){

// Read csv file and return the attribute values as array  
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  
//define the trace attributes 
var trace2 = {
	x:unpack(rows, 'Height'), 
  y:unpack(rows, 'Weight'), 
  z:unpack(rows, 'BodyFat'),
	mode: 'markers',
	marker: {
		color: 'rgb(255, 153)',
		size: 4,
		symbol: 'x',
		line: {
		color: 'rgb(255, 51, 153)',
		width: 2},
		opacity: 1.0},
	type: 'scatter3d'};

var data = [trace2];
  
//define the layouts   
var layout = {
  margin: {
	l: 1,
	r: 1,
	b: 80,
	t: 15},
  scene: {
    xaxis: {
      title: 'Height',
      titlefont: {
         color: 'green',
         family: 'Cursive',
         size: 15
      }
    },
    yaxis: {
      title: 'Weight',
      titlefont: {
         color: 'green',
         family: 'Cursive',
         size: 15
      }
    },
  zaxis: {
      title: 'Body Fat %',
      titlefont: {
         color: 'green',
         family: 'Cursive',
         size: 15
      }
    }
   }
  };
  
// calling a function to plot the data
Plotly.newPlot('myDiv', data, layout);
});
